## python-jwcrypto 0.3.2

=== Makefile ===
all: lint pep8 docs test
	echo "All tests passed"

lint:
	# Pylint checks
	tox -e lint

pep8:
	# Check style consistency
	tox -e pep8py2
	tox -e pep8py3

clean:
	rm -fr build dist *.egg-info
	find ./ -name '*.pyc' -exec rm -f {} \;

cscope:
	git ls-files | xargs pycscope

test:
	rm -f .coverage
	tox -e py27
	tox -e py34 --skip-missing-interpreter
	tox -e py35 --skip-missing-interpreter

DOCS_DIR = docs
.PHONY: docs

docs:
	$(MAKE) -C $(DOCS_DIR) html

=== requirements.txt ===
cryptography >= 0.7.2

## python-jwcrypto 0.2.1

=== debian/changelog ===
python-jwcrypto (0.2.1-1) unstable; urgency=low

  * Initial upload. (Closes: #800702)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 02 Oct 2015 09:24:49 +0300

=== debian/control ===
Source: python-jwcrypto
Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@lists.alioth.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all (>= 2.6.6-3),
 python-cryptography,
 python-nose,
 python-setuptools (>= 0.6b3),
 python3-all,
 python3-cryptography,
 python3-nose,
 python3-setuptools,
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3
Standards-Version: 3.9.6
Homepage: https://github.com/simo5/jwcrypto

Package: python-jwcrypto
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 python-cryptography,
Description: Python implementation of JOSE Web standards
 This python module implements JWK,JWS,JWE specifications using
 python-cryptography.
 .
 This package includes the python2 version.

Package: python3-jwcrypto
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 python3-cryptography,
Description: Python3 mplementation of JOSE Web standards
 This python module implements JWK,JWS,JWE specifications using
 python-cryptography.
 .
 This package includes the python3 version.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.8.5 at
# Fri, 02 Oct 2015 09:24:49 +0300
export PYBUILD_NAME=jwcrypto
%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/python*-jwcrypto/usr/lib/python*/dist-packages/jwcrypto-*.egg-info
	find $(CURDIR)/debian/python* -name 'tests*.py' -exec rm '{}' ';'
	find $(CURDIR)/debian/python* -name 'LICENSE' -exec rm '{}' ';'
	find $(CURDIR)/debian/python* -name 'README.md' -exec rm '{}' ';'

=== debian/watch ===
# please also check http://pypi.debian.net/jwcrypto/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/jwcrypto/jwcrypto-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-jwcrypto 0.3.2

=== debian/changelog ===
python-jwcrypto (0.3.2-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2016-6298
  * control, copyright, watch: Update upstream url.
  * watch: Fix tarball name.
  * control: Add vcs urls.
  * control: Bump policy to 3.9.8, no changes.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 19 Sep 2016 16:23:47 +0300

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,10 @@
  python3-setuptools,
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
-Standards-Version: 3.9.6
-Homepage: https://github.com/simo5/jwcrypto
+Standards-Version: 3.9.8
+Homepage: https://github.com/latchset/jwcrypto
+Vcs-Git: https://anonscm.debian.org/git/pkg-freeipa/python-jwcrypto.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-freeipa/python-jwcrypto.git
 
 Package: python-jwcrypto
 Architecture: all

## python-jwcrypto 0.4.2

=== Makefile ===
--- 
+++ 
@@ -17,6 +17,12 @@
 cscope:
 	git ls-files | xargs pycscope
 
+testlong: export JWCRYPTO_TESTS_ENABLE_MMA=True
+testlong: export TOX_TESTENV_PASSENV=JWCRYPTO_TESTS_ENABLE_MMA
+testlong:
+	rm -f .coverage
+	tox -e py35
+
 test:
 	rm -f .coverage
 	tox -e py27

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/JWCrypto.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/JWCrypto.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/JWCrypto"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/JWCrypto"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-jwcrypto (0.4.2-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump policy to 4.1.2, no changes.
  * Bump debhelper to 10.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 23 Dec 2017 10:00:03 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: python
 Priority: optional
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  dh-python,
  python-all (>= 2.6.6-3),
  python-cryptography,
@@ -16,7 +16,7 @@
  python3-setuptools,
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Homepage: https://github.com/latchset/jwcrypto
 Vcs-Git: https://anonscm.debian.org/git/pkg-freeipa/python-jwcrypto.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-freeipa/python-jwcrypto.git

## python-jwcrypto 0.6.0

=== Makefile ===
--- 
+++ 
@@ -21,13 +21,15 @@
 testlong: export TOX_TESTENV_PASSENV=JWCRYPTO_TESTS_ENABLE_MMA
 testlong:
 	rm -f .coverage
-	tox -e py35
+	tox -e py36
 
 test:
 	rm -f .coverage
 	tox -e py27
 	tox -e py34 --skip-missing-interpreter
 	tox -e py35 --skip-missing-interpreter
+	tox -e py36 --skip-missing-interpreter
+	tox -e py37 --skip-missing-interpreter
 
 DOCS_DIR = docs
 .PHONY: docs

=== debian/changelog ===
python-jwcrypto (0.6.0-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 18 Apr 2020 17:17:05 +0200

python-jwcrypto (0.6.0-2) unstable; urgency=medium

  * compat, control: Bump compat to 12.
  * Switch to python3 only. (Closes: #937862)
  * control: Bump policy to 4.4.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 12 Sep 2019 00:04:33 +0300

python-jwcrypto (0.6.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #925457)
  * control: Update vcs urls.
  * control: Drop X-Python-Version*.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 02 Apr 2019 09:05:15 +0300

=== debian/control ===
Source: python-jwcrypto
Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@lists.alioth.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>, Mattia Rizzolo <mattia@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 12),
 dh-python,
 python3-all,
 python3-cryptography,
 python3-nose,
 python3-setuptools,
Standards-Version: 4.4.0
Homepage: https://github.com/latchset/jwcrypto
Vcs-Git: https://salsa.debian.org/freeipa-team/python-jwcrypto.git
Vcs-Browser: https://salsa.debian.org/freeipa-team/python-jwcrypto

Package: python3-jwcrypto
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 python3-cryptography,
Description: Python3 implementation of JOSE Web standards
 This python module implements JWK,JWS,JWE specifications using
 python-cryptography.
 .
 This package includes the python3 version.

## python-jwcrypto 0.8.0

=== debian/changelog ===
python-jwcrypto (0.8.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * New upstream release.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.
  * Update standards version to 4.5.1, no changes needed.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 05 Jan 2021 11:49:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: python-jwcrypto
 Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@lists.alioth.debian.org>
-Uploaders: Timo Aaltonen <tjaalton@debian.org>, Mattia Rizzolo <mattia@debian.org>
+Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Section: python
 Priority: optional
 Build-Depends:
- debhelper (>= 12),
+ debhelper-compat (= 12),
  dh-python,
  python3-all,
  python3-cryptography,
  python3-nose,
  python3-setuptools,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/latchset/jwcrypto
 Vcs-Git: https://salsa.debian.org/freeipa-team/python-jwcrypto.git
 Vcs-Browser: https://salsa.debian.org/freeipa-team/python-jwcrypto

## python-jwcrypto 1.0.0

=== Makefile ===
--- 
+++ 
@@ -7,8 +7,7 @@
 
 pep8:
 	# Check style consistency
-	tox -e pep8py2
-	tox -e pep8py3
+	tox -e pep8
 
 clean:
 	rm -fr build dist *.egg-info
@@ -25,11 +24,10 @@
 
 test:
 	rm -f .coverage
-	tox -e py27
-	tox -e py34 --skip-missing-interpreter
-	tox -e py35 --skip-missing-interpreter
 	tox -e py36 --skip-missing-interpreter
 	tox -e py37 --skip-missing-interpreter
+	tox -e py38 --skip-missing-interpreter
+	tox -e py39 --skip-missing-interpreter
 
 DOCS_DIR = docs
 .PHONY: docs

=== debian/changelog ===
python-jwcrypto (1.0.0-2) unstable; urgency=medium

  * rules: Don't remove .egg-info. (Closes: #995363)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 30 Sep 2021 13:41:47 +0300

python-jwcrypto (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Add python3-deprecated to depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 16 Aug 2021 09:33:11 +0300

## python-jwcrypto 1.1.0

=== debian/changelog ===
python-jwcrypto (1.1.0-1+deb12u1) bookworm; urgency=medium

  * Apply and tweak upstream security fix for CVE-2024-28102
    Address potential DoS with high compression ratio

 -- Steve McIntyre <93sam@debian.org>  Fri, 26 Apr 2024 17:18:31 +0100

python-jwcrypto (1.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 29 Mar 2022 10:33:50 +0300

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.8.5 at
# Fri, 02 Oct 2015 09:24:49 +0300
export PYBUILD_NAME=jwcrypto
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR)/debian/python* -name 'tests*.py' -exec rm '{}' ';'
	find $(CURDIR)/debian/python* -name 'LICENSE' -exec rm '{}' ';'
	find $(CURDIR)/debian/python* -name 'README.md' -exec rm '{}' ';'

## python-jwcrypto 1.5.4

=== debian/changelog ===
python-jwcrypto (1.5.4-1) unstable; urgency=medium

  * New upstream release.
  * control: Fix maintainer address.
  * rules: Remove empty doc/jwcrypto. (Closes: #1023600)
  * control: Add python3-typing-extensions to build-depends.
  * control: Migrate to nose2. (Closes: #1018520)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 15 Feb 2024 10:26:53 +0200

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,4 @@
 	find $(CURDIR)/debian/python* -name 'tests*.py' -exec rm '{}' ';'
 	find $(CURDIR)/debian/python* -name 'LICENSE' -exec rm '{}' ';'
 	find $(CURDIR)/debian/python* -name 'README.md' -exec rm '{}' ';'
+	rm -rf $(CURDIR)/debian/python*/usr/share/doc/jwcrypto

## python-jwcrypto 1.5.6

=== Makefile ===
--- 
+++ 
@@ -20,17 +20,17 @@
 testlong: export TOX_TESTENV_PASSENV=JWCRYPTO_TESTS_ENABLE_MMA
 testlong:
 	rm -f .coverage
-	tox -e py36
+	tox -e py311
 
 test:
 	rm -f .coverage
-	tox -e py36 --skip-missing-interpreter
-	tox -e py37 --skip-missing-interpreter
 	tox -e py38 --skip-missing-interpreter
 	tox -e py39 --skip-missing-interpreter
+	tox -e py310 --skip-missing-interpreter
+	tox -e py311 --skip-missing-interpreter
 
 DOCS_DIR = docs
 .PHONY: docs
 
 docs:
-	$(MAKE) -C $(DOCS_DIR) html
+	$(MAKE) -C $(DOCS_DIR) html doctest

=== docs/requirements.txt ===
cryptography >= 3.4
typing_extensions >= 4.5.0

=== debian/changelog ===
python-jwcrypto (1.5.6-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2024-28102 (Closes: #1065688)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 02 May 2024 09:03:21 +0300

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: python-jwcrypto
-Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@lists.alioth.debian.org>
+Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Section: python
 Priority: optional
@@ -8,8 +8,10 @@
  dh-python,
  python3-all,
  python3-cryptography,
- python3-nose,
+ python3-deprecated,
+ python3-nose2,
  python3-setuptools,
+ python3-typing-extensions,
 Standards-Version: 4.5.1
 Homepage: https://github.com/latchset/jwcrypto
 Vcs-Git: https://salsa.debian.org/freeipa-team/python-jwcrypto.git
@@ -19,6 +21,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
  python3-cryptography,
+ python3-deprecated,
 Description: Python3 implementation of JOSE Web standards
  This python module implements JWK,JWS,JWE specifications using
  python-cryptography.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,filenamemangle=s/^.*v/python-jwcrypto-/ \
https://github.com/latchset/jwcrypto/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.(?:gz|bz2|xz)
